[gutsy]Can not start python applications

Bug #185163 reported by nosmos on 2008-01-22
2
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Kjell Braden

Bug Description

After upgrade from feisty to gutsy I can't start programs like miro, deluge, PenguinTV etc. I get allways a similar __init__.py:48 error. The re-installation of Python2.5 didn't help.

Here is the error on miro start:
/var/lib/python-support/python2.5/gtk-2.0/gtk/__init__.py:48: RuntimeWarning: tp_compare didn't return -1 or -2 for exception
  from gtk import _gtk
ImportError: could not import atk
ImportError: cannot import name Object from gtk
Traceback (most recent call last):
  File "/usr/bin/miro.real", line 106, in <module>
    startapp()
  File "/usr/bin/miro.real", line 54, in startapp
    import singleclick
  File "/var/lib/python-support/python2.5/miro/singleclick.py", line 34, in <module>
    import app
  File "/var/lib/python-support/python2.5/miro/app.py", line 596, in <module>
    import frontend
  File "/var/lib/python-support/python2.5/miro/frontend.py", line 47, in <module>
    from frontend_implementation.Application import Application
  File "/var/lib/python-support/python2.5/miro/frontend_implementation/Application.py", line 25, in <module>
    import gtk.glade
ImportError: cannot import name Widget from gtk

And here deluge:
/var/lib/python-support/python2.5/gtk-2.0/gtk/__init__.py:48: RuntimeWarning: tp_compare didn't return -1 or -2 for exception
  from gtk import _gtk
ImportError: could not import atk
no existing Deluge session
Starting new Deluge session...
deluge_core; using libtorrent 0.13.0.0. Compiled with NDEBUG.
Applying preferences
Capping download to -1 bytes per second
Capping upload to -1 bytes per second
Pickling state...
Scanning plugin dir /usr/share/deluge/plugins
Initialising plugin TorrentNotification
Traceback (most recent call last):
  File "/usr/bin/deluge", line 153, in <module>
    start_deluge()
  File "/usr/bin/deluge", line 127, in start_deluge
    interface = deluge.interface.DelugeGTK()
  File "/var/lib/python-support/python2.5/deluge/interface.py", line 58, in __init__
    self.plugins.scan_for_plugins()
  File "/var/lib/python-support/python2.5/deluge/plugins.py", line 61, in scan_for_plugins
    mod = __import__(modname, globals(), locals(), [''])
  File "/usr/share/deluge/plugins/TorrentCreator/__init__.py", line 35, in <module>
    import gtk, gtk.glade
ImportError: cannot import name Widget from gtk

nosmos (nerijus-gmx) wrote :

By the way, I tried also newer and older versions of miro - with the same error output.

Kjell Braden (afflux) wrote :

Thank you for taking your time to help making ubuntu better. Could you please provide the versions of the following packages to help us tracking down the issue?

python2.5
python-gobject
python-gtk2
libgtk2.0-0
libglib2.0-0

You can obtain those by running: dpkg -l python2.5 python-gobject python-gtk2 libgtk2.0-0 libglib2.0-0

Thanks!

Kjell Braden (afflux) wrote :

Sorry, I forgot:

python-glade2

Thanks

I' m really sorry, but few days ago I reinstalled my ubuntu and upgraded
to hardy. It was just to annoying for me. Now everything works grate.
So therefore I can not give you information you asked. My updates came
always from official german // repository
/http://de.archive.ubuntu.com// . I just wondering that there is no
more user reports with similar problems.
However thank you for your work and sorry that I can't help you in this
case.

BR
Nerijus

Kjell Braden wrote:
> Thank you for taking your time to help making ubuntu better. Could you please provide the versions of the following packages to help us tracking down the issue?
>
> python2.5
> python-gobject
> python-gtk2
> libgtk2.0-0
> libglib2.0-0
>
> You can obtain those by running: dpkg -l python2.5 python-gobject
> python-gtk2 libgtk2.0-0 libglib2.0-0
>
> Thanks!
>
> ** Changed in: ubuntu
> Assignee: (unassigned) => Kjell Braden (afflux)
> Status: New => Incomplete
>
>

Kjell Braden (afflux) wrote :

 status invalid

Closing the bug since the reporter can't provide feedback anymore.

Feel free to re-open if this bug appears again, thanks for your work.

Amit Soni (amitsoni) wrote :

I am facing the same problem. I have attached the required data.

Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-f/Unpacked/Failed-cfg/Half-inst/t-aWait/T-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name Version Description
+++-==============-==============-============================================
ii libglib2.0-0 2.14.1-1ubuntu The GLib library of C routines
ii libgtk2.0-0 2.12.0-1ubuntu The GTK+ graphical user interface library
ii python-glade2 2.12.0-0ubuntu GTK+ bindings: Glade support
ii python-gobject 2.14.0-0ubuntu Python bindings for the GObject library
ii python-gtk2 2.12.0-0ubuntu Python bindings for the GTK+ widget set
ii python2.5 2.5.1-5ubuntu5 An interactive high-level object-oriented la

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers